aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Guillaume Nodet (JIRA)" <j...@apache.org>
Subject [jira] [Closed] (ARIES-1132) blueprint-core 1.3.0 should export org.apache.aries.blueprint and org.apache.aries.blueprint.services with version 1.3.0
Date Wed, 31 Jan 2018 08:18:00 GMT

     [ https://issues.apache.org/jira/browse/ARIES-1132?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Guillaume Nodet closed ARIES-1132.
----------------------------------
    Resolution: Won't Fix
      Assignee: Guillaume Nodet

Semantic versioning is used for exported packages, so that's expected.

> blueprint-core 1.3.0 should export org.apache.aries.blueprint and org.apache.aries.blueprint.services
with version 1.3.0
> ------------------------------------------------------------------------------------------------------------------------
>
>                 Key: ARIES-1132
>                 URL: https://issues.apache.org/jira/browse/ARIES-1132
>             Project: Aries
>          Issue Type: Bug
>          Components: Blueprint
>            Reporter: Jean-Baptiste Onofré
>            Assignee: Guillaume Nodet
>            Priority: Major
>
> blueprint-core 1.3.0 exports package org.apache.aries.blueprint.services with version
1.2.0:
> [code]
> karaf@root()> la|grep -i "blueprint core"
> [   8] [    Active] [   20] Apache Aries Blueprint Core (1.3.0), Fragments: 48
> karaf@root()> bundle:headers 8|grep -i services       org.apache.aries.blueprint.services;uses:="org.osgi.framework,org.osgi.service.blueprint.container,org.apache.aries.blueprint,org.osgi.service.blueprint.reflect,org.apache.aries.proxy";version=1.2.0,
> [code]
> It should be 1.3.0.
> It's the same for package org.apache.aries.blueprint (exported in version 1.2.0 instead
of 1.3.0).
> I'm preparing a patch to fix that.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message